Summary: An interactive tool for creating a firewall.
Name: mason
Version: 0.13.0 
Release: 9
Copyright: GPL
Group: Applications/Internet
Source: http://www.pobox.com/~wstearns/mason/mason-%{version}.tar.gz
Patch0: makefile.patch
Patch1: mason-firewall.patch
URL: http://www.pobox.com/~wstearns/mason/index.html
Packager: William Stearns <wstearns@pobox.com>
BuildRoot: /var/tmp/mason-root
Buildarch: noarch
PreReq: /sbin/chkconfig , /sbin/service  

%description
Mason is an interactive tool that creates a firewall using ipfwadm or
ipchains. Mason is designed to support firewall creation by any
network administrator who is fairly comfortable with Linux. It takes
care of the low-level work necessary to create the firewall rules and
it can also be used to add rules to an existing firewall.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_var}/lib/mason
make DESTDIR=$RPM_BUILD_ROOT MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1 install
touch $RPM_BUILD_ROOT%{_var}/lib/mason/newrules

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/init.d
cp -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/firewall $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/mason-firewall
rm $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/firewall


%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add mason-firewall

%preun
if [ "$1" = "0" ]; then
	/sbin/service masonp-firewall stop > /dev/null 2>&1
	/sbin/chkconfig --del mason-firewall
fi

%postun
if [ "$1" -ge "1" ]; then
	/sbin/service mason-firewall condrestart > /dev/null 2>&1
fi

%files
%defattr(-,root,root)
%doc COPYING Quickstart index.html mason.TODO mason.lsm mason.txt overview protocols.txt
%config	%{_sysconfdir}/masonrc
%config %{_sysconfdir}/rc.d/init.d/mason-firewall
%{_bindir}/mason
%{_bindir}/mason-gui-text
%{_mandir}/*/*
%dir %{_var}/lib/mason
%attr(0700,root,root) %config %{_var}/lib/mason/baserules
%attr(0700,root,root) %config %{_var}/lib/mason/newrules
%{_var}/lib/mason/masonlib
%{_var}/lib/mason/moreservices
%{_var}/lib/mason/nmap-services
%{_var}/lib/mason/baserules.sample

%changelog
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 17 2000 Tim Powers <timp@redhat.com>
- inits back to rc.d/init.d, using /sbin/service to start/stop scripts

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Jul 06 2000 Tim Powers <timp@redhat.com>
- fixed broken PreReq, changed to PreReq /etc/init.d

* Tue Jun 27 2000 Tim Powers <timp@redhat.com>
- Prereq chkconfig and initscripts >= 5.20
- fixed up the script in init.d so it is cleaner, meaner, and also so that it
  includes condrestart
- added post, preun, postun sections in spec

* Thu Jun 8 2000 Tim Powers <timp@redhat.com>
- fixed man page location
- patched so regular users can now build
- removed the old replace files cruft in the %pre/%post sections
- use predefined RPM macros wherever possible

* Mon May 15 2000 Tim Powers <timp@redhat.com>
- rebuilt for 7.0

* Fri Aug 6 1999 Tim Powers <timp@redhat.com>
- grabbed orig src.rpm from http://users.dhp.com/~whisper/mason/
- added Buildarch: noarch
- changed group
- moved buildroot to /var/tmp/mason-root
- added defattr to %files section and cleaned up all the %attr lines
- rebuilt for Powertools
